% ----------------------
% calib.m
% ----------------------
% calibrates the model
% ----------------------

% DATA AND CALIBRATION

global alpha A_0 K0 I0 J0 Div0 V0 H0 A0 Omega0 C0 TB0

x0      = 0; % inital guess
[x1, retcode] = findroot(@findcalib,x0);
if retcode~=0 error('Root finder in calib did not converge!'); end

global DF0 edy0
DF0     = x1;
edy0    = I0+J0+C0+TB0-Y0;

fprintf('CHECK CALIBRATION: \t %4.5f\n',edy0);

% TIME SERIES

global Y Div w I J V K H A Omega C TB DF edy N L NB ell r gam

Y       = zeros(1,tend); Div = Y; w = Y; I = Y; J = Y; V = Y;
K       = Y; H = Y; A = Y; C = Y; TB = Y; DF = Y; edy = Y;
N       = Y; L = Y; Omega = Y;
r       = r0*ones(1,tend); gam = gam0*ones(1,tend);
NB      = NB0*ones(1,tend); ell = ell0*ones(1,tend);

% REPLICATE INTIAL CALIBRATION

t       = 1; fprintf('\nREPLICATE SS: \t\t %4.5f\n', SS(DF0));
t       = 2; SS(DF0);
t       = 1; fprintf('REPLICATE TE: \t\t %4.5f\n\n', TE);

% TAKE INITIAL STEADY STATE AS GUESS FOR JACOBIAN

guess   = kron([V(t) H(t) Omega(t)],ones(tend,1));
