% ----------------------
% param.m
% ----------------------
% loads exogenous parameters
% ----------------------

global gam0 rho r0 delta sigma

aveage  = 40;                   % average ages working
gam0    = aveage/(aveage+1);    % surivival probability
rho     = .045;                 % discount rate
r0      = .05;                  % interest rate
delta   = 0.1;                  % depreciation rate
sigma   = 0.25;                 % intertemporal elasticity of substitution

global L0 w0 N0 NB0 Y0 psi ell0 t

L0      = 35;                   % total labor supply
w0      = 2;                    % wage rate
N0      = 100;                  % noramlized population size
NB0     = (1-gam0)*N0;          % newborns
Y0      = 100;                  % normalized output
psi     = 10;                   % scaling factor adjustment costs
ell0    = L0/N0;                % per capita labor supply

t       = 1;                    % time index

